# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Digest/MD5.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(NEXT.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Plugin-Authentication-CDBI
%define upstream_version 0.10

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt3_8

Summary:	CDBI Authentication for Catalyst
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Catalyst.pm)
BuildRequires:	perl(Catalyst/Plugin/Authentication.pm)

BuildArch:	noarch
Source44: import.info

%description
This plugin allows you to authenticate your web users using
database tables accessed through Class::DBI classes.
Note that this plugin requires a session plugin such as
Catalyst::Plugin::Session::FastMmap.
This module is now well past the teatime of it's lifespan,
and no new features will be added. For new applications,
you probably want to look at Catalyst::Plugin::Authentication
and friends instead

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendor_privlib}/Catalyst/Plugin/Authentication/*

%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.10-alt3_8
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt3_7
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt3_6
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt3_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.10-alt3_3
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.10-alt2_2
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_1
- converted for ALT Linux by srpmconvert tools

